/* Device.c generated by valac 0.56.17, the Vala compiler
 * generated from Device.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright 2021 elementary, Inc. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 *
 * Authored by: Sean Davis <sean@bluesabre.org>
 */

#include "sound.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <glib-object.h>
#include <gobject/gvaluecollector.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	SOUND_DEVICE_0_PROPERTY,
	SOUND_DEVICE_INPUT_PROPERTY,
	SOUND_DEVICE_ID_PROPERTY,
	SOUND_DEVICE_CARD_INDEX_PROPERTY,
	SOUND_DEVICE_PORT_NAME_PROPERTY,
	SOUND_DEVICE_DISPLAY_NAME_PROPERTY,
	SOUND_DEVICE_FORM_FACTOR_PROPERTY,
	SOUND_DEVICE_ICON_NAME_PROPERTY,
	SOUND_DEVICE_PROFILES_PROPERTY,
	SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY,
	SOUND_DEVICE_SINK_NAME_PROPERTY,
	SOUND_DEVICE_SINK_INDEX_PROPERTY,
	SOUND_DEVICE_CARD_SINK_NAME_PROPERTY,
	SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY,
	SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY,
	SOUND_DEVICE_SOURCE_NAME_PROPERTY,
	SOUND_DEVICE_SOURCE_INDEX_PROPERTY,
	SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY,
	SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY,
	SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY,
	SOUND_DEVICE_IS_DEFAULT_PROPERTY,
	SOUND_DEVICE_IS_PRIORITY_PROPERTY,
	SOUND_DEVICE_NUM_PROPERTIES
};
static GParamSpec* sound_device_properties[SOUND_DEVICE_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _SoundDeviceParamSpecPort SoundDeviceParamSpecPort;
enum  {
	SOUND_DEVICE_REMOVED_SIGNAL,
	SOUND_DEVICE_DEFAULTED_SIGNAL,
	SOUND_DEVICE_NUM_SIGNALS
};
static guint sound_device_signals[SOUND_DEVICE_NUM_SIGNALS] = {0};

struct _SoundDevicePrivate {
	gboolean _input;
	gchar* _id;
	guint32 _card_index;
	gchar* _port_name;
	gchar* _display_name;
	gchar* _form_factor;
	gchar* _icon_name;
	GeeArrayList* _profiles;
	gchar* _card_active_profile_name;
	gchar* _sink_name;
	gint _sink_index;
	gchar* _card_sink_name;
	gchar* _card_sink_port_name;
	gint _card_sink_index;
	gchar* _source_name;
	gint _source_index;
	gchar* _card_source_name;
	gchar* _card_source_port_name;
	gint _card_source_index;
	gboolean _is_default;
	gboolean _is_priority;
};

struct _SoundDeviceParamSpecPort {
	GParamSpec parent_instance;
};

static gint SoundDevice_private_offset;
static gpointer sound_device_parent_class = NULL;
static gpointer sound_device_port_parent_class = NULL;

static void sound_device_port_finalize (SoundDevicePort * obj);
static GType sound_device_port_get_type_once (void);
static GObject * sound_device_constructor (GType type,
                                    guint n_construct_properties,
                                    GObjectConstructParam * construct_properties);
static void sound_device_finalize (GObject * obj);
static GType sound_device_get_type_once (void);
static void _vala_sound_device_get_property (GObject * object,
                                      guint property_id,
                                      GValue * value,
                                      GParamSpec * pspec);
static void _vala_sound_device_set_property (GObject * object,
                                      guint property_id,
                                      const GValue * value,
                                      GParamSpec * pspec);

static inline gpointer
sound_device_get_instance_private (SoundDevice* self)
{
	return G_STRUCT_MEMBER_P (self, SoundDevice_private_offset);
}

SoundDevice*
sound_device_construct (GType object_type,
                        const gchar* id,
                        guint32 card_index,
                        const gchar* port_name)
{
	SoundDevice * self = NULL;
#line 62 "../src/Device.vala"
	g_return_val_if_fail (id != NULL, NULL);
#line 62 "../src/Device.vala"
	g_return_val_if_fail (port_name != NULL, NULL);
#line 63 "../src/Device.vala"
	self = (SoundDevice*) g_object_new (object_type, "id", id, "card-index", card_index, "port-name", port_name, NULL);
#line 62 "../src/Device.vala"
	return self;
#line 149 "Device.c"
}

SoundDevice*
sound_device_new (const gchar* id,
                  guint32 card_index,
                  const gchar* port_name)
{
#line 62 "../src/Device.vala"
	return sound_device_construct (SOUND_TYPE_DEVICE, id, card_index, port_name);
#line 159 "Device.c"
}

gchar*
sound_device_get_matching_profile (SoundDevice* self,
                                   SoundDevice* other_device)
{
	gchar* result;
#line 70 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 71 "../src/Device.vala"
	if (other_device != NULL) {
#line 171 "Device.c"
		{
			GeeArrayList* _profile_list = NULL;
			GeeArrayList* _tmp0_;
			gint _profile_size = 0;
			GeeArrayList* _tmp1_;
			gint _tmp2_;
			gint _tmp3_;
			gint _profile_index = 0;
#line 72 "../src/Device.vala"
			_tmp0_ = self->priv->_profiles;
#line 72 "../src/Device.vala"
			_profile_list = _tmp0_;
#line 72 "../src/Device.vala"
			_tmp1_ = _profile_list;
#line 72 "../src/Device.vala"
			_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 72 "../src/Device.vala"
			_tmp3_ = _tmp2_;
#line 72 "../src/Device.vala"
			_profile_size = _tmp3_;
#line 72 "../src/Device.vala"
			_profile_index = -1;
#line 72 "../src/Device.vala"
			while (TRUE) {
#line 196 "Device.c"
				gint _tmp4_;
				gint _tmp5_;
				gchar* profile = NULL;
				GeeArrayList* _tmp6_;
				gpointer _tmp7_;
				GeeArrayList* _tmp8_;
				const gchar* _tmp9_;
#line 72 "../src/Device.vala"
				_profile_index = _profile_index + 1;
#line 72 "../src/Device.vala"
				_tmp4_ = _profile_index;
#line 72 "../src/Device.vala"
				_tmp5_ = _profile_size;
#line 72 "../src/Device.vala"
				if (!(_tmp4_ < _tmp5_)) {
#line 72 "../src/Device.vala"
					break;
#line 214 "Device.c"
				}
#line 72 "../src/Device.vala"
				_tmp6_ = _profile_list;
#line 72 "../src/Device.vala"
				_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp6_, _profile_index);
#line 72 "../src/Device.vala"
				profile = (gchar*) _tmp7_;
#line 73 "../src/Device.vala"
				_tmp8_ = other_device->priv->_profiles;
#line 73 "../src/Device.vala"
				_tmp9_ = profile;
#line 73 "../src/Device.vala"
				if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp8_, _tmp9_)) {
#line 74 "../src/Device.vala"
					result = profile;
#line 74 "../src/Device.vala"
					return result;
#line 232 "Device.c"
				}
#line 72 "../src/Device.vala"
				_g_free0 (profile);
#line 236 "Device.c"
			}
		}
	}
#line 79 "../src/Device.vala"
	result = NULL;
#line 79 "../src/Device.vala"
	return result;
#line 244 "Device.c"
}

gboolean
sound_device_get_input (SoundDevice* self)
{
	gboolean result;
#line 34 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "../src/Device.vala"
	result = self->priv->_input;
#line 34 "../src/Device.vala"
	return result;
#line 257 "Device.c"
}

void
sound_device_set_input (SoundDevice* self,
                        gboolean value)
{
	gboolean old_value;
#line 34 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 34 "../src/Device.vala"
	old_value = sound_device_get_input (self);
#line 34 "../src/Device.vala"
	if (old_value != value) {
#line 34 "../src/Device.vala"
		self->priv->_input = value;
#line 34 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_INPUT_PROPERTY]);
#line 275 "Device.c"
	}
}

const gchar*
sound_device_get_id (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 35 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "../src/Device.vala"
	_tmp0_ = self->priv->_id;
#line 35 "../src/Device.vala"
	result = _tmp0_;
#line 35 "../src/Device.vala"
	return result;
#line 292 "Device.c"
}

static void
sound_device_set_id (SoundDevice* self,
                     const gchar* value)
{
	gchar* old_value;
#line 35 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/Device.vala"
	old_value = sound_device_get_id (self);
#line 35 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 306 "Device.c"
		gchar* _tmp0_;
#line 35 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 35 "../src/Device.vala"
		_g_free0 (self->priv->_id);
#line 35 "../src/Device.vala"
		self->priv->_id = _tmp0_;
#line 35 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_ID_PROPERTY]);
#line 316 "Device.c"
	}
}

guint32
sound_device_get_card_index (SoundDevice* self)
{
	guint32 result;
#line 36 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 36 "../src/Device.vala"
	result = self->priv->_card_index;
#line 36 "../src/Device.vala"
	return result;
#line 330 "Device.c"
}

static void
sound_device_set_card_index (SoundDevice* self,
                             guint32 value)
{
	guint32 old_value;
#line 36 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 36 "../src/Device.vala"
	old_value = sound_device_get_card_index (self);
#line 36 "../src/Device.vala"
	if (old_value != value) {
#line 36 "../src/Device.vala"
		self->priv->_card_index = value;
#line 36 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_INDEX_PROPERTY]);
#line 348 "Device.c"
	}
}

const gchar*
sound_device_get_port_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 37 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "../src/Device.vala"
	_tmp0_ = self->priv->_port_name;
#line 37 "../src/Device.vala"
	result = _tmp0_;
#line 37 "../src/Device.vala"
	return result;
#line 365 "Device.c"
}

static void
sound_device_set_port_name (SoundDevice* self,
                            const gchar* value)
{
	gchar* old_value;
#line 37 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 37 "../src/Device.vala"
	old_value = sound_device_get_port_name (self);
#line 37 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 379 "Device.c"
		gchar* _tmp0_;
#line 37 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 37 "../src/Device.vala"
		_g_free0 (self->priv->_port_name);
#line 37 "../src/Device.vala"
		self->priv->_port_name = _tmp0_;
#line 37 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_PORT_NAME_PROPERTY]);
#line 389 "Device.c"
	}
}

const gchar*
sound_device_get_display_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 38 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 38 "../src/Device.vala"
	_tmp0_ = self->priv->_display_name;
#line 38 "../src/Device.vala"
	result = _tmp0_;
#line 38 "../src/Device.vala"
	return result;
#line 406 "Device.c"
}

void
sound_device_set_display_name (SoundDevice* self,
                               const gchar* value)
{
	gchar* old_value;
#line 38 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 38 "../src/Device.vala"
	old_value = sound_device_get_display_name (self);
#line 38 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 420 "Device.c"
		gchar* _tmp0_;
#line 38 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 38 "../src/Device.vala"
		_g_free0 (self->priv->_display_name);
#line 38 "../src/Device.vala"
		self->priv->_display_name = _tmp0_;
#line 38 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_DISPLAY_NAME_PROPERTY]);
#line 430 "Device.c"
	}
}

const gchar*
sound_device_get_form_factor (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 39 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "../src/Device.vala"
	_tmp0_ = self->priv->_form_factor;
#line 39 "../src/Device.vala"
	result = _tmp0_;
#line 39 "../src/Device.vala"
	return result;
#line 447 "Device.c"
}

void
sound_device_set_form_factor (SoundDevice* self,
                              const gchar* value)
{
	gchar* old_value;
#line 39 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 39 "../src/Device.vala"
	old_value = sound_device_get_form_factor (self);
#line 39 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 461 "Device.c"
		gchar* _tmp0_;
#line 39 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 39 "../src/Device.vala"
		_g_free0 (self->priv->_form_factor);
#line 39 "../src/Device.vala"
		self->priv->_form_factor = _tmp0_;
#line 39 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_FORM_FACTOR_PROPERTY]);
#line 471 "Device.c"
	}
}

const gchar*
sound_device_get_icon_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 40 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "../src/Device.vala"
	_tmp0_ = self->priv->_icon_name;
#line 40 "../src/Device.vala"
	result = _tmp0_;
#line 40 "../src/Device.vala"
	return result;
#line 488 "Device.c"
}

void
sound_device_set_icon_name (SoundDevice* self,
                            const gchar* value)
{
	gchar* old_value;
#line 40 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 40 "../src/Device.vala"
	old_value = sound_device_get_icon_name (self);
#line 40 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 502 "Device.c"
		gchar* _tmp0_;
#line 40 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 40 "../src/Device.vala"
		_g_free0 (self->priv->_icon_name);
#line 40 "../src/Device.vala"
		self->priv->_icon_name = _tmp0_;
#line 40 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_ICON_NAME_PROPERTY]);
#line 512 "Device.c"
	}
}

GeeArrayList*
sound_device_get_profiles (SoundDevice* self)
{
	GeeArrayList* result;
	GeeArrayList* _tmp0_;
#line 41 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 41 "../src/Device.vala"
	_tmp0_ = self->priv->_profiles;
#line 41 "../src/Device.vala"
	result = _tmp0_;
#line 41 "../src/Device.vala"
	return result;
#line 529 "Device.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 41 "../src/Device.vala"
	return self ? g_object_ref (self) : NULL;
#line 537 "Device.c"
}

void
sound_device_set_profiles (SoundDevice* self,
                           GeeArrayList* value)
{
	GeeArrayList* old_value;
#line 41 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 41 "../src/Device.vala"
	old_value = sound_device_get_profiles (self);
#line 41 "../src/Device.vala"
	if (old_value != value) {
#line 551 "Device.c"
		GeeArrayList* _tmp0_;
#line 41 "../src/Device.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 41 "../src/Device.vala"
		_g_object_unref0 (self->priv->_profiles);
#line 41 "../src/Device.vala"
		self->priv->_profiles = _tmp0_;
#line 41 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_PROFILES_PROPERTY]);
#line 561 "Device.c"
	}
}

const gchar*
sound_device_get_card_active_profile_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 42 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 42 "../src/Device.vala"
	_tmp0_ = self->priv->_card_active_profile_name;
#line 42 "../src/Device.vala"
	result = _tmp0_;
#line 42 "../src/Device.vala"
	return result;
#line 578 "Device.c"
}

void
sound_device_set_card_active_profile_name (SoundDevice* self,
                                           const gchar* value)
{
	gchar* old_value;
#line 42 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 42 "../src/Device.vala"
	old_value = sound_device_get_card_active_profile_name (self);
#line 42 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 592 "Device.c"
		gchar* _tmp0_;
#line 42 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 42 "../src/Device.vala"
		_g_free0 (self->priv->_card_active_profile_name);
#line 42 "../src/Device.vala"
		self->priv->_card_active_profile_name = _tmp0_;
#line 42 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY]);
#line 602 "Device.c"
	}
}

const gchar*
sound_device_get_sink_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 45 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "../src/Device.vala"
	_tmp0_ = self->priv->_sink_name;
#line 45 "../src/Device.vala"
	result = _tmp0_;
#line 45 "../src/Device.vala"
	return result;
#line 619 "Device.c"
}

void
sound_device_set_sink_name (SoundDevice* self,
                            const gchar* value)
{
	gchar* old_value;
#line 45 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 45 "../src/Device.vala"
	old_value = sound_device_get_sink_name (self);
#line 45 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 633 "Device.c"
		gchar* _tmp0_;
#line 45 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 45 "../src/Device.vala"
		_g_free0 (self->priv->_sink_name);
#line 45 "../src/Device.vala"
		self->priv->_sink_name = _tmp0_;
#line 45 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_SINK_NAME_PROPERTY]);
#line 643 "Device.c"
	}
}

gint
sound_device_get_sink_index (SoundDevice* self)
{
	gint result;
#line 46 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 46 "../src/Device.vala"
	result = self->priv->_sink_index;
#line 46 "../src/Device.vala"
	return result;
#line 657 "Device.c"
}

void
sound_device_set_sink_index (SoundDevice* self,
                             gint value)
{
	gint old_value;
#line 46 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 46 "../src/Device.vala"
	old_value = sound_device_get_sink_index (self);
#line 46 "../src/Device.vala"
	if (old_value != value) {
#line 46 "../src/Device.vala"
		self->priv->_sink_index = value;
#line 46 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_SINK_INDEX_PROPERTY]);
#line 675 "Device.c"
	}
}

const gchar*
sound_device_get_card_sink_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 47 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 47 "../src/Device.vala"
	_tmp0_ = self->priv->_card_sink_name;
#line 47 "../src/Device.vala"
	result = _tmp0_;
#line 47 "../src/Device.vala"
	return result;
#line 692 "Device.c"
}

void
sound_device_set_card_sink_name (SoundDevice* self,
                                 const gchar* value)
{
	gchar* old_value;
#line 47 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 47 "../src/Device.vala"
	old_value = sound_device_get_card_sink_name (self);
#line 47 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 706 "Device.c"
		gchar* _tmp0_;
#line 47 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 47 "../src/Device.vala"
		_g_free0 (self->priv->_card_sink_name);
#line 47 "../src/Device.vala"
		self->priv->_card_sink_name = _tmp0_;
#line 47 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SINK_NAME_PROPERTY]);
#line 716 "Device.c"
	}
}

const gchar*
sound_device_get_card_sink_port_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 48 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 48 "../src/Device.vala"
	_tmp0_ = self->priv->_card_sink_port_name;
#line 48 "../src/Device.vala"
	result = _tmp0_;
#line 48 "../src/Device.vala"
	return result;
#line 733 "Device.c"
}

void
sound_device_set_card_sink_port_name (SoundDevice* self,
                                      const gchar* value)
{
	gchar* old_value;
#line 48 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 48 "../src/Device.vala"
	old_value = sound_device_get_card_sink_port_name (self);
#line 48 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 747 "Device.c"
		gchar* _tmp0_;
#line 48 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 48 "../src/Device.vala"
		_g_free0 (self->priv->_card_sink_port_name);
#line 48 "../src/Device.vala"
		self->priv->_card_sink_port_name = _tmp0_;
#line 48 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY]);
#line 757 "Device.c"
	}
}

gint
sound_device_get_card_sink_index (SoundDevice* self)
{
	gint result;
#line 49 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 49 "../src/Device.vala"
	result = self->priv->_card_sink_index;
#line 49 "../src/Device.vala"
	return result;
#line 771 "Device.c"
}

void
sound_device_set_card_sink_index (SoundDevice* self,
                                  gint value)
{
	gint old_value;
#line 49 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 49 "../src/Device.vala"
	old_value = sound_device_get_card_sink_index (self);
#line 49 "../src/Device.vala"
	if (old_value != value) {
#line 49 "../src/Device.vala"
		self->priv->_card_sink_index = value;
#line 49 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY]);
#line 789 "Device.c"
	}
}

const gchar*
sound_device_get_source_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 52 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 52 "../src/Device.vala"
	_tmp0_ = self->priv->_source_name;
#line 52 "../src/Device.vala"
	result = _tmp0_;
#line 52 "../src/Device.vala"
	return result;
#line 806 "Device.c"
}

void
sound_device_set_source_name (SoundDevice* self,
                              const gchar* value)
{
	gchar* old_value;
#line 52 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 52 "../src/Device.vala"
	old_value = sound_device_get_source_name (self);
#line 52 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 820 "Device.c"
		gchar* _tmp0_;
#line 52 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 52 "../src/Device.vala"
		_g_free0 (self->priv->_source_name);
#line 52 "../src/Device.vala"
		self->priv->_source_name = _tmp0_;
#line 52 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_SOURCE_NAME_PROPERTY]);
#line 830 "Device.c"
	}
}

gint
sound_device_get_source_index (SoundDevice* self)
{
	gint result;
#line 53 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 53 "../src/Device.vala"
	result = self->priv->_source_index;
#line 53 "../src/Device.vala"
	return result;
#line 844 "Device.c"
}

void
sound_device_set_source_index (SoundDevice* self,
                               gint value)
{
	gint old_value;
#line 53 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 53 "../src/Device.vala"
	old_value = sound_device_get_source_index (self);
#line 53 "../src/Device.vala"
	if (old_value != value) {
#line 53 "../src/Device.vala"
		self->priv->_source_index = value;
#line 53 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_SOURCE_INDEX_PROPERTY]);
#line 862 "Device.c"
	}
}

const gchar*
sound_device_get_card_source_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 54 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 54 "../src/Device.vala"
	_tmp0_ = self->priv->_card_source_name;
#line 54 "../src/Device.vala"
	result = _tmp0_;
#line 54 "../src/Device.vala"
	return result;
#line 879 "Device.c"
}

void
sound_device_set_card_source_name (SoundDevice* self,
                                   const gchar* value)
{
	gchar* old_value;
#line 54 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 54 "../src/Device.vala"
	old_value = sound_device_get_card_source_name (self);
#line 54 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 893 "Device.c"
		gchar* _tmp0_;
#line 54 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 54 "../src/Device.vala"
		_g_free0 (self->priv->_card_source_name);
#line 54 "../src/Device.vala"
		self->priv->_card_source_name = _tmp0_;
#line 54 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY]);
#line 903 "Device.c"
	}
}

const gchar*
sound_device_get_card_source_port_name (SoundDevice* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 55 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 55 "../src/Device.vala"
	_tmp0_ = self->priv->_card_source_port_name;
#line 55 "../src/Device.vala"
	result = _tmp0_;
#line 55 "../src/Device.vala"
	return result;
#line 920 "Device.c"
}

void
sound_device_set_card_source_port_name (SoundDevice* self,
                                        const gchar* value)
{
	gchar* old_value;
#line 55 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 55 "../src/Device.vala"
	old_value = sound_device_get_card_source_port_name (self);
#line 55 "../src/Device.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 934 "Device.c"
		gchar* _tmp0_;
#line 55 "../src/Device.vala"
		_tmp0_ = g_strdup (value);
#line 55 "../src/Device.vala"
		_g_free0 (self->priv->_card_source_port_name);
#line 55 "../src/Device.vala"
		self->priv->_card_source_port_name = _tmp0_;
#line 55 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY]);
#line 944 "Device.c"
	}
}

gint
sound_device_get_card_source_index (SoundDevice* self)
{
	gint result;
#line 56 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 56 "../src/Device.vala"
	result = self->priv->_card_source_index;
#line 56 "../src/Device.vala"
	return result;
#line 958 "Device.c"
}

void
sound_device_set_card_source_index (SoundDevice* self,
                                    gint value)
{
	gint old_value;
#line 56 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 56 "../src/Device.vala"
	old_value = sound_device_get_card_source_index (self);
#line 56 "../src/Device.vala"
	if (old_value != value) {
#line 56 "../src/Device.vala"
		self->priv->_card_source_index = value;
#line 56 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY]);
#line 976 "Device.c"
	}
}

gboolean
sound_device_get_is_default (SoundDevice* self)
{
	gboolean result;
#line 59 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 59 "../src/Device.vala"
	result = self->priv->_is_default;
#line 59 "../src/Device.vala"
	return result;
#line 990 "Device.c"
}

void
sound_device_set_is_default (SoundDevice* self,
                             gboolean value)
{
	gboolean old_value;
#line 59 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 59 "../src/Device.vala"
	old_value = sound_device_get_is_default (self);
#line 59 "../src/Device.vala"
	if (old_value != value) {
#line 59 "../src/Device.vala"
		self->priv->_is_default = value;
#line 59 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_IS_DEFAULT_PROPERTY]);
#line 1008 "Device.c"
	}
}

gboolean
sound_device_get_is_priority (SoundDevice* self)
{
	gboolean result;
#line 60 "../src/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 60 "../src/Device.vala"
	result = self->priv->_is_priority;
#line 60 "../src/Device.vala"
	return result;
#line 1022 "Device.c"
}

void
sound_device_set_is_priority (SoundDevice* self,
                              gboolean value)
{
	gboolean old_value;
#line 60 "../src/Device.vala"
	g_return_if_fail (self != NULL);
#line 60 "../src/Device.vala"
	old_value = sound_device_get_is_priority (self);
#line 60 "../src/Device.vala"
	if (old_value != value) {
#line 60 "../src/Device.vala"
		self->priv->_is_priority = value;
#line 60 "../src/Device.vala"
		g_object_notify_by_pspec ((GObject *) self, sound_device_properties[SOUND_DEVICE_IS_PRIORITY_PROPERTY]);
#line 1040 "Device.c"
	}
}

SoundDevicePort*
sound_device_port_construct (GType object_type)
{
	SoundDevicePort* self = NULL;
#line 24 "../src/Device.vala"
	self = (SoundDevicePort*) g_type_create_instance (object_type);
#line 24 "../src/Device.vala"
	return self;
#line 1052 "Device.c"
}

SoundDevicePort*
sound_device_port_new (void)
{
#line 24 "../src/Device.vala"
	return sound_device_port_construct (SOUND_DEVICE_TYPE_PORT);
#line 1060 "Device.c"
}

static void
sound_device_value_port_init (GValue* value)
{
#line 24 "../src/Device.vala"
	value->data[0].v_pointer = NULL;
#line 1068 "Device.c"
}

static void
sound_device_value_port_free_value (GValue* value)
{
#line 24 "../src/Device.vala"
	if (value->data[0].v_pointer) {
#line 24 "../src/Device.vala"
		sound_device_port_unref (value->data[0].v_pointer);
#line 1078 "Device.c"
	}
}

static void
sound_device_value_port_copy_value (const GValue* src_value,
                                    GValue* dest_value)
{
#line 24 "../src/Device.vala"
	if (src_value->data[0].v_pointer) {
#line 24 "../src/Device.vala"
		dest_value->data[0].v_pointer = sound_device_port_ref (src_value->data[0].v_pointer);
#line 1090 "Device.c"
	} else {
#line 24 "../src/Device.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1094 "Device.c"
	}
}

static gpointer
sound_device_value_port_peek_pointer (const GValue* value)
{
#line 24 "../src/Device.vala"
	return value->data[0].v_pointer;
#line 1103 "Device.c"
}

static gchar*
sound_device_value_port_collect_value (GValue* value,
                                       guint n_collect_values,
                                       GTypeCValue* collect_values,
                                       guint collect_flags)
{
#line 24 "../src/Device.vala"
	if (collect_values[0].v_pointer) {
#line 1114 "Device.c"
		SoundDevicePort * object;
		object = collect_values[0].v_pointer;
#line 24 "../src/Device.vala"
		if (object->parent_instance.g_class == NULL) {
#line 24 "../src/Device.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1121 "Device.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 24 "../src/Device.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1125 "Device.c"
		}
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = sound_device_port_ref (object);
#line 1129 "Device.c"
	} else {
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = NULL;
#line 1133 "Device.c"
	}
#line 24 "../src/Device.vala"
	return NULL;
#line 1137 "Device.c"
}

static gchar*
sound_device_value_port_lcopy_value (const GValue* value,
                                     guint n_collect_values,
                                     GTypeCValue* collect_values,
                                     guint collect_flags)
{
	SoundDevicePort ** object_p;
	object_p = collect_values[0].v_pointer;
#line 24 "../src/Device.vala"
	if (!object_p) {
#line 24 "../src/Device.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1152 "Device.c"
	}
#line 24 "../src/Device.vala"
	if (!value->data[0].v_pointer) {
#line 24 "../src/Device.vala"
		*object_p = NULL;
#line 1158 "Device.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 24 "../src/Device.vala"
		*object_p = value->data[0].v_pointer;
#line 1162 "Device.c"
	} else {
#line 24 "../src/Device.vala"
		*object_p = sound_device_port_ref (value->data[0].v_pointer);
#line 1166 "Device.c"
	}
#line 24 "../src/Device.vala"
	return NULL;
#line 1170 "Device.c"
}

GParamSpec*
sound_device_param_spec_port (const gchar* name,
                              const gchar* nick,
                              const gchar* blurb,
                              GType object_type,
                              GParamFlags flags)
{
	SoundDeviceParamSpecPort* spec;
#line 24 "../src/Device.vala"
	g_return_val_if_fail (g_type_is_a (object_type, SOUND_DEVICE_TYPE_PORT), NULL);
#line 24 "../src/Device.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 24 "../src/Device.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 24 "../src/Device.vala"
	return G_PARAM_SPEC (spec);
#line 1189 "Device.c"
}

gpointer
sound_device_value_get_port (const GValue* value)
{
#line 24 "../src/Device.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, SOUND_DEVICE_TYPE_PORT), NULL);
#line 24 "../src/Device.vala"
	return value->data[0].v_pointer;
#line 1199 "Device.c"
}

void
sound_device_value_set_port (GValue* value,
                             gpointer v_object)
{
	SoundDevicePort * old;
#line 24 "../src/Device.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, SOUND_DEVICE_TYPE_PORT));
#line 24 "../src/Device.vala"
	old = value->data[0].v_pointer;
#line 24 "../src/Device.vala"
	if (v_object) {
#line 24 "../src/Device.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, SOUND_DEVICE_TYPE_PORT));
#line 24 "../src/Device.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = v_object;
#line 24 "../src/Device.vala"
		sound_device_port_ref (value->data[0].v_pointer);
#line 1221 "Device.c"
	} else {
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = NULL;
#line 1225 "Device.c"
	}
#line 24 "../src/Device.vala"
	if (old) {
#line 24 "../src/Device.vala"
		sound_device_port_unref (old);
#line 1231 "Device.c"
	}
}

void
sound_device_value_take_port (GValue* value,
                              gpointer v_object)
{
	SoundDevicePort * old;
#line 24 "../src/Device.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, SOUND_DEVICE_TYPE_PORT));
#line 24 "../src/Device.vala"
	old = value->data[0].v_pointer;
#line 24 "../src/Device.vala"
	if (v_object) {
#line 24 "../src/Device.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, SOUND_DEVICE_TYPE_PORT));
#line 24 "../src/Device.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = v_object;
#line 1252 "Device.c"
	} else {
#line 24 "../src/Device.vala"
		value->data[0].v_pointer = NULL;
#line 1256 "Device.c"
	}
#line 24 "../src/Device.vala"
	if (old) {
#line 24 "../src/Device.vala"
		sound_device_port_unref (old);
#line 1262 "Device.c"
	}
}

static void
sound_device_port_class_init (SoundDevicePortClass * klass,
                              gpointer klass_data)
{
#line 24 "../src/Device.vala"
	sound_device_port_parent_class = g_type_class_peek_parent (klass);
#line 24 "../src/Device.vala"
	((SoundDevicePortClass *) klass)->finalize = sound_device_port_finalize;
#line 1274 "Device.c"
}

static void
sound_device_port_instance_init (SoundDevicePort * self,
                                 gpointer klass)
{
#line 24 "../src/Device.vala"
	self->ref_count = 1;
#line 1283 "Device.c"
}

static void
sound_device_port_finalize (SoundDevicePort * obj)
{
	SoundDevicePort * self;
#line 24 "../src/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SOUND_DEVICE_TYPE_PORT, SoundDevicePort);
#line 24 "../src/Device.vala"
	g_signal_handlers_destroy (self);
#line 25 "../src/Device.vala"
	_g_free0 (self->name);
#line 26 "../src/Device.vala"
	_g_free0 (self->description);
#line 1298 "Device.c"
}

static GType
sound_device_port_get_type_once (void)
{
	static const GTypeValueTable g_define_type_value_table = { sound_device_value_port_init, sound_device_value_port_free_value, sound_device_value_port_copy_value, sound_device_value_port_peek_pointer, "p", sound_device_value_port_collect_value, "p", sound_device_value_port_lcopy_value };
	static const GTypeInfo g_define_type_info = { sizeof (SoundDevicePortClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sound_device_port_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SoundDevicePort), 0, (GInstanceInitFunc) sound_device_port_instance_init, &g_define_type_value_table };
	static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
	GType sound_device_port_type_id;
	sound_device_port_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SoundDevicePort", &g_define_type_info, &g_define_type_fundamental_info, 0);
	return sound_device_port_type_id;
}

GType
sound_device_port_get_type (void)
{
	static volatile gsize sound_device_port_type_id__once = 0;
	if (g_once_init_enter (&sound_device_port_type_id__once)) {
		GType sound_device_port_type_id;
		sound_device_port_type_id = sound_device_port_get_type_once ();
		g_once_init_leave (&sound_device_port_type_id__once, sound_device_port_type_id);
	}
	return sound_device_port_type_id__once;
}

gpointer
sound_device_port_ref (gpointer instance)
{
	SoundDevicePort * self;
	self = instance;
#line 24 "../src/Device.vala"
	g_atomic_int_inc (&self->ref_count);
#line 24 "../src/Device.vala"
	return instance;
#line 1333 "Device.c"
}

void
sound_device_port_unref (gpointer instance)
{
	SoundDevicePort * self;
	self = instance;
#line 24 "../src/Device.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 24 "../src/Device.vala"
		SOUND_DEVICE_PORT_GET_CLASS (self)->finalize (self);
#line 24 "../src/Device.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1347 "Device.c"
	}
}

static GObject *
sound_device_constructor (GType type,
                          guint n_construct_properties,
                          GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	SoundDevice * self;
	GeeArrayList* _tmp0_;
	GeeArrayList* _tmp1_;
#line 66 "../src/Device.vala"
	parent_class = G_OBJECT_CLASS (sound_device_parent_class);
#line 66 "../src/Device.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 66 "../src/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SOUND_TYPE_DEVICE, SoundDevice);
#line 67 "../src/Device.vala"
	_tmp0_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 67 "../src/Device.vala"
	_tmp1_ = _tmp0_;
#line 67 "../src/Device.vala"
	sound_device_set_profiles (self, _tmp1_);
#line 67 "../src/Device.vala"
	_g_object_unref0 (_tmp1_);
#line 66 "../src/Device.vala"
	return obj;
#line 1377 "Device.c"
}

static void
sound_device_class_init (SoundDeviceClass * klass,
                         gpointer klass_data)
{
#line 23 "../src/Device.vala"
	sound_device_parent_class = g_type_class_peek_parent (klass);
#line 23 "../src/Device.vala"
	g_type_class_adjust_private_offset (klass, &SoundDevice_private_offset);
#line 23 "../src/Device.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_sound_device_get_property;
#line 23 "../src/Device.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_sound_device_set_property;
#line 23 "../src/Device.vala"
	G_OBJECT_CLASS (klass)->constructor = sound_device_constructor;
#line 23 "../src/Device.vala"
	G_OBJECT_CLASS (klass)->finalize = sound_device_finalize;
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_INPUT_PROPERTY, sound_device_properties[SOUND_DEVICE_INPUT_PROPERTY] = g_param_spec_boolean ("input", "input", "input", TRUE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_ID_PROPERTY, sound_device_properties[SOUND_DEVICE_ID_PROPERTY] = g_param_spec_string ("id", "id", "id", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_INDEX_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_INDEX_PROPERTY] = g_param_spec_uint ("card-index", "card-index", "card-index", 0, G_MAXUINT, 0U, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_PORT_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_PORT_NAME_PROPERTY] = g_param_spec_string ("port-name", "port-name", "port-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_DISPLAY_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_DISPLAY_NAME_PROPERTY] = g_param_spec_string ("display-name", "display-name", "display-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_FORM_FACTOR_PROPERTY, sound_device_properties[SOUND_DEVICE_FORM_FACTOR_PROPERTY] = g_param_spec_string ("form-factor", "form-factor", "form-factor", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_ICON_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_ICON_NAME_PROPERTY] = g_param_spec_string ("icon-name", "icon-name", "icon-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_PROFILES_PROPERTY, sound_device_properties[SOUND_DEVICE_PROFILES_PROPERTY] = g_param_spec_object ("profiles", "profiles", "profiles", GEE_TYPE_ARRAY_LIST, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY] = g_param_spec_string ("card-active-profile-name", "card-active-profile-name", "card-active-profile-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_SINK_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_SINK_NAME_PROPERTY] = g_param_spec_string ("sink-name", "sink-name", "sink-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_SINK_INDEX_PROPERTY, sound_device_properties[SOUND_DEVICE_SINK_INDEX_PROPERTY] = g_param_spec_int ("sink-index", "sink-index", "sink-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SINK_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SINK_NAME_PROPERTY] = g_param_spec_string ("card-sink-name", "card-sink-name", "card-sink-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY] = g_param_spec_string ("card-sink-port-name", "card-sink-port-name", "card-sink-port-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY] = g_param_spec_int ("card-sink-index", "card-sink-index", "card-sink-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_SOURCE_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_SOURCE_NAME_PROPERTY] = g_param_spec_string ("source-name", "source-name", "source-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_SOURCE_INDEX_PROPERTY, sound_device_properties[SOUND_DEVICE_SOURCE_INDEX_PROPERTY] = g_param_spec_int ("source-index", "source-index", "source-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY] = g_param_spec_string ("card-source-name", "card-source-name", "card-source-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY] = g_param_spec_string ("card-source-port-name", "card-source-port-name", "card-source-port-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY, sound_device_properties[SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY] = g_param_spec_int ("card-source-index", "card-source-index", "card-source-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_IS_DEFAULT_PROPERTY, sound_device_properties[SOUND_DEVICE_IS_DEFAULT_PROPERTY] = g_param_spec_boolean ("is-default", "is-default", "is-default", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SOUND_DEVICE_IS_PRIORITY_PROPERTY, sound_device_properties[SOUND_DEVICE_IS_PRIORITY_PROPERTY] = g_param_spec_boolean ("is-priority", "is-priority", "is-priority", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "../src/Device.vala"
	sound_device_signals[SOUND_DEVICE_REMOVED_SIGNAL] = g_signal_new ("removed", SOUND_TYPE_DEVICE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "../src/Device.vala"
	sound_device_signals[SOUND_DEVICE_DEFAULTED_SIGNAL] = g_signal_new ("defaulted", SOUND_TYPE_DEVICE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1442 "Device.c"
}

static void
sound_device_instance_init (SoundDevice * self,
                            gpointer klass)
{
#line 23 "../src/Device.vala"
	self->priv = sound_device_get_instance_private (self);
#line 34 "../src/Device.vala"
	self->priv->_input = TRUE;
#line 59 "../src/Device.vala"
	self->priv->_is_default = FALSE;
#line 60 "../src/Device.vala"
	self->priv->_is_priority = FALSE;
#line 1457 "Device.c"
}

static void
sound_device_finalize (GObject * obj)
{
	SoundDevice * self;
#line 23 "../src/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SOUND_TYPE_DEVICE, SoundDevice);
#line 35 "../src/Device.vala"
	_g_free0 (self->priv->_id);
#line 37 "../src/Device.vala"
	_g_free0 (self->priv->_port_name);
#line 38 "../src/Device.vala"
	_g_free0 (self->priv->_display_name);
#line 39 "../src/Device.vala"
	_g_free0 (self->priv->_form_factor);
#line 40 "../src/Device.vala"
	_g_free0 (self->priv->_icon_name);
#line 41 "../src/Device.vala"
	_g_object_unref0 (self->priv->_profiles);
#line 42 "../src/Device.vala"
	_g_free0 (self->priv->_card_active_profile_name);
#line 45 "../src/Device.vala"
	_g_free0 (self->priv->_sink_name);
#line 47 "../src/Device.vala"
	_g_free0 (self->priv->_card_sink_name);
#line 48 "../src/Device.vala"
	_g_free0 (self->priv->_card_sink_port_name);
#line 52 "../src/Device.vala"
	_g_free0 (self->priv->_source_name);
#line 54 "../src/Device.vala"
	_g_free0 (self->priv->_card_source_name);
#line 55 "../src/Device.vala"
	_g_free0 (self->priv->_card_source_port_name);
#line 23 "../src/Device.vala"
	G_OBJECT_CLASS (sound_device_parent_class)->finalize (obj);
#line 1494 "Device.c"
}

static GType
sound_device_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SoundDeviceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sound_device_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SoundDevice), 0, (GInstanceInitFunc) sound_device_instance_init, NULL };
	GType sound_device_type_id;
	sound_device_type_id = g_type_register_static (G_TYPE_OBJECT, "SoundDevice", &g_define_type_info, 0);
	SoundDevice_private_offset = g_type_add_instance_private (sound_device_type_id, sizeof (SoundDevicePrivate));
	return sound_device_type_id;
}

GType
sound_device_get_type (void)
{
	static volatile gsize sound_device_type_id__once = 0;
	if (g_once_init_enter (&sound_device_type_id__once)) {
		GType sound_device_type_id;
		sound_device_type_id = sound_device_get_type_once ();
		g_once_init_leave (&sound_device_type_id__once, sound_device_type_id);
	}
	return sound_device_type_id__once;
}

static void
_vala_sound_device_get_property (GObject * object,
                                 guint property_id,
                                 GValue * value,
                                 GParamSpec * pspec)
{
	SoundDevice * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SOUND_TYPE_DEVICE, SoundDevice);
#line 23 "../src/Device.vala"
	switch (property_id) {
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_INPUT_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_boolean (value, sound_device_get_input (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_ID_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_id (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_uint (value, sound_device_get_card_index (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_port_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_DISPLAY_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_display_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_FORM_FACTOR_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_form_factor (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_ICON_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_icon_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_PROFILES_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_object (value, sound_device_get_profiles (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_card_active_profile_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SINK_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_sink_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SINK_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_int (value, sound_device_get_sink_index (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_card_sink_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_card_sink_port_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_int (value, sound_device_get_card_sink_index (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SOURCE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_source_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SOURCE_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_int (value, sound_device_get_source_index (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_card_source_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_string (value, sound_device_get_card_source_port_name (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_int (value, sound_device_get_card_source_index (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_IS_DEFAULT_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_boolean (value, sound_device_get_is_default (self));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_IS_PRIORITY_PROPERTY:
#line 23 "../src/Device.vala"
		g_value_set_boolean (value, sound_device_get_is_priority (self));
#line 23 "../src/Device.vala"
		break;
#line 1655 "Device.c"
		default:
#line 23 "../src/Device.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "../src/Device.vala"
		break;
#line 1661 "Device.c"
	}
}

static void
_vala_sound_device_set_property (GObject * object,
                                 guint property_id,
                                 const GValue * value,
                                 GParamSpec * pspec)
{
	SoundDevice * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SOUND_TYPE_DEVICE, SoundDevice);
#line 23 "../src/Device.vala"
	switch (property_id) {
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_INPUT_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_input (self, g_value_get_boolean (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_ID_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_id (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_index (self, g_value_get_uint (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_port_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_DISPLAY_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_display_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_FORM_FACTOR_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_form_factor (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_ICON_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_icon_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_PROFILES_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_profiles (self, g_value_get_object (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_ACTIVE_PROFILE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_active_profile_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SINK_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_sink_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SINK_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_sink_index (self, g_value_get_int (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_sink_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_sink_port_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SINK_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_sink_index (self, g_value_get_int (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SOURCE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_source_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_SOURCE_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_source_index (self, g_value_get_int (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_source_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_PORT_NAME_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_source_port_name (self, g_value_get_string (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_CARD_SOURCE_INDEX_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_card_source_index (self, g_value_get_int (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_IS_DEFAULT_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_is_default (self, g_value_get_boolean (value));
#line 23 "../src/Device.vala"
		break;
#line 23 "../src/Device.vala"
		case SOUND_DEVICE_IS_PRIORITY_PROPERTY:
#line 23 "../src/Device.vala"
		sound_device_set_is_priority (self, g_value_get_boolean (value));
#line 23 "../src/Device.vala"
		break;
#line 1801 "Device.c"
		default:
#line 23 "../src/Device.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "../src/Device.vala"
		break;
#line 1807 "Device.c"
	}
}

