/* DisplayWidget.c generated by valac 0.56.17, the Vala compiler
 * generated from DisplayWidget.vala, do not modify */

/*
* Copyright (c) 2016-2018 elementary, Inc. (https://elementary.io)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "sound.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>
#include <float.h>
#include <math.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	DISPLAY_WIDGET_0_PROPERTY,
	DISPLAY_WIDGET_SHOW_MIC_PROPERTY,
	DISPLAY_WIDGET_MIC_MUTED_PROPERTY,
	DISPLAY_WIDGET_ICON_NAME_PROPERTY,
	DISPLAY_WIDGET_NUM_PROPERTIES
};
static GParamSpec* display_widget_properties[DISPLAY_WIDGET_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block2Data Block2Data;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
enum  {
	DISPLAY_WIDGET_VOLUME_SCROLL_EVENT_SIGNAL,
	DISPLAY_WIDGET_MIC_SCROLL_EVENT_SIGNAL,
	DISPLAY_WIDGET_VOLUME_PRESS_EVENT_SIGNAL,
	DISPLAY_WIDGET_MIC_PRESS_EVENT_SIGNAL,
	DISPLAY_WIDGET_NUM_SIGNALS
};
static guint display_widget_signals[DISPLAY_WIDGET_NUM_SIGNALS] = {0};

struct _DisplayWidgetPrivate {
	gboolean _show_mic;
	gboolean _mic_muted;
	gchar* _icon_name;
};

struct _Block2Data {
	int _ref_count_;
	DisplayWidget* self;
	GtkSpinner* mic_icon;
	GtkStyleContext* mic_style_context;
};

static gint DisplayWidget_private_offset;
static gpointer display_widget_parent_class = NULL;

static GObject * display_widget_constructor (GType type,
                                      guint n_construct_properties,
                                      GObjectConstructParam * construct_properties);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static gboolean _display_widget___lambda4_ (Block2Data* _data2_,
                                     GdkEventScroll* e);
static gboolean __display_widget___lambda4__gtk_widget_scroll_event (GtkWidget* _sender,
                                                              GdkEventScroll* event,
                                                              gpointer self);
static gboolean _display_widget___lambda5_ (Block2Data* _data2_,
                                     GdkEventButton* e);
static gboolean __display_widget___lambda5__gtk_widget_button_press_event (GtkWidget* _sender,
                                                                    GdkEventButton* event,
                                                                    gpointer self);
static void _display_widget___lambda6_ (Block2Data* _data2_);
static void __display_widget___lambda6__g_object_notify (GObject* _sender,
                                                  GParamSpec* pspec,
                                                  gpointer self);
static void display_widget_finalize (GObject * obj);
static GType display_widget_get_type_once (void);
static void _vala_display_widget_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec);
static void _vala_display_widget_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec);

static inline gpointer
display_widget_get_instance_private (DisplayWidget* self)
{
	return G_STRUCT_MEMBER_P (self, DisplayWidget_private_offset);
}

DisplayWidget*
display_widget_construct (GType object_type)
{
	DisplayWidget * self = NULL;
#line 18 "../src/Widgets/DisplayWidget.vala"
	self = (DisplayWidget*) g_object_new (object_type, NULL);
#line 18 "../src/Widgets/DisplayWidget.vala"
	return self;
#line 121 "DisplayWidget.c"
}

DisplayWidget*
display_widget_new (void)
{
#line 18 "../src/Widgets/DisplayWidget.vala"
	return display_widget_construct (TYPE_DISPLAY_WIDGET);
#line 129 "DisplayWidget.c"
}

gboolean
display_widget_get_show_mic (DisplayWidget* self)
{
	gboolean result;
#line 19 "../src/Widgets/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 19 "../src/Widgets/DisplayWidget.vala"
	result = self->priv->_show_mic;
#line 19 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 142 "DisplayWidget.c"
}

void
display_widget_set_show_mic (DisplayWidget* self,
                             gboolean value)
{
	gboolean old_value;
#line 19 "../src/Widgets/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 19 "../src/Widgets/DisplayWidget.vala"
	old_value = display_widget_get_show_mic (self);
#line 19 "../src/Widgets/DisplayWidget.vala"
	if (old_value != value) {
#line 19 "../src/Widgets/DisplayWidget.vala"
		self->priv->_show_mic = value;
#line 19 "../src/Widgets/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_widget_properties[DISPLAY_WIDGET_SHOW_MIC_PROPERTY]);
#line 160 "DisplayWidget.c"
	}
}

gboolean
display_widget_get_mic_muted (DisplayWidget* self)
{
	gboolean result;
#line 20 "../src/Widgets/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 20 "../src/Widgets/DisplayWidget.vala"
	result = self->priv->_mic_muted;
#line 20 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 174 "DisplayWidget.c"
}

void
display_widget_set_mic_muted (DisplayWidget* self,
                              gboolean value)
{
	gboolean old_value;
#line 20 "../src/Widgets/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 20 "../src/Widgets/DisplayWidget.vala"
	old_value = display_widget_get_mic_muted (self);
#line 20 "../src/Widgets/DisplayWidget.vala"
	if (old_value != value) {
#line 20 "../src/Widgets/DisplayWidget.vala"
		self->priv->_mic_muted = value;
#line 20 "../src/Widgets/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_widget_properties[DISPLAY_WIDGET_MIC_MUTED_PROPERTY]);
#line 192 "DisplayWidget.c"
	}
}

const gchar*
display_widget_get_icon_name (DisplayWidget* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 21 "../src/Widgets/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 21 "../src/Widgets/DisplayWidget.vala"
	_tmp0_ = self->priv->_icon_name;
#line 21 "../src/Widgets/DisplayWidget.vala"
	result = _tmp0_;
#line 21 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 209 "DisplayWidget.c"
}

void
display_widget_set_icon_name (DisplayWidget* self,
                              const gchar* value)
{
	gchar* old_value;
#line 21 "../src/Widgets/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 21 "../src/Widgets/DisplayWidget.vala"
	old_value = display_widget_get_icon_name (self);
#line 21 "../src/Widgets/DisplayWidget.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 223 "DisplayWidget.c"
		gchar* _tmp0_;
#line 21 "../src/Widgets/DisplayWidget.vala"
		_tmp0_ = g_strdup (value);
#line 21 "../src/Widgets/DisplayWidget.vala"
		_g_free0 (self->priv->_icon_name);
#line 21 "../src/Widgets/DisplayWidget.vala"
		self->priv->_icon_name = _tmp0_;
#line 21 "../src/Widgets/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_widget_properties[DISPLAY_WIDGET_ICON_NAME_PROPERTY]);
#line 233 "DisplayWidget.c"
	}
}

static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 29 "../src/Widgets/DisplayWidget.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 29 "../src/Widgets/DisplayWidget.vala"
	return _data2_;
#line 244 "DisplayWidget.c"
}

static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 29 "../src/Widgets/DisplayWidget.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 254 "DisplayWidget.c"
		DisplayWidget* self;
#line 29 "../src/Widgets/DisplayWidget.vala"
		self = _data2_->self;
#line 29 "../src/Widgets/DisplayWidget.vala"
		_g_object_unref0 (_data2_->mic_style_context);
#line 29 "../src/Widgets/DisplayWidget.vala"
		_g_object_unref0 (_data2_->mic_icon);
#line 29 "../src/Widgets/DisplayWidget.vala"
		_g_object_unref0 (self);
#line 29 "../src/Widgets/DisplayWidget.vala"
		g_slice_free (Block2Data, _data2_);
#line 266 "DisplayWidget.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 41 "../src/Widgets/DisplayWidget.vala"
	return self ? g_object_ref (self) : NULL;
#line 275 "DisplayWidget.c"
}

static gboolean
_display_widget___lambda4_ (Block2Data* _data2_,
                            GdkEventScroll* e)
{
	DisplayWidget* self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean result;
#line 57 "../src/Widgets/DisplayWidget.vala"
	self = _data2_->self;
#line 57 "../src/Widgets/DisplayWidget.vala"
	g_return_val_if_fail (e != NULL, FALSE);
#line 59 "../src/Widgets/DisplayWidget.vala"
	_tmp1_ = self->priv->_show_mic;
#line 59 "../src/Widgets/DisplayWidget.vala"
	if (_tmp1_) {
#line 294 "DisplayWidget.c"
		GtkSpinner* _tmp2_;
		GtkSpinner* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp2_ = _data2_->mic_icon;
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp3_ = _data2_->mic_icon;
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp4_ = gtk_widget_get_margin_end ((GtkWidget*) _tmp3_);
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp5_ = _tmp4_;
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp0_ = e->x < ((gdouble) (gtk_widget_get_allocated_width ((GtkWidget*) _tmp2_) + _tmp5_));
#line 309 "DisplayWidget.c"
	} else {
#line 59 "../src/Widgets/DisplayWidget.vala"
		_tmp0_ = FALSE;
#line 313 "DisplayWidget.c"
	}
#line 59 "../src/Widgets/DisplayWidget.vala"
	if (_tmp0_) {
#line 60 "../src/Widgets/DisplayWidget.vala"
		g_signal_emit (self, display_widget_signals[DISPLAY_WIDGET_MIC_SCROLL_EVENT_SIGNAL], 0, e);
#line 319 "DisplayWidget.c"
	} else {
#line 62 "../src/Widgets/DisplayWidget.vala"
		g_signal_emit (self, display_widget_signals[DISPLAY_WIDGET_VOLUME_SCROLL_EVENT_SIGNAL], 0, e);
#line 323 "DisplayWidget.c"
	}
#line 65 "../src/Widgets/DisplayWidget.vala"
	result = GDK_EVENT_STOP;
#line 65 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 329 "DisplayWidget.c"
}

static gboolean
__display_widget___lambda4__gtk_widget_scroll_event (GtkWidget* _sender,
                                                     GdkEventScroll* event,
                                                     gpointer self)
{
	gboolean result;
	result = _display_widget___lambda4_ (self, event);
#line 57 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 341 "DisplayWidget.c"
}

static gboolean
_display_widget___lambda5_ (Block2Data* _data2_,
                            GdkEventButton* e)
{
	DisplayWidget* self;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean result;
#line 68 "../src/Widgets/DisplayWidget.vala"
	self = _data2_->self;
#line 68 "../src/Widgets/DisplayWidget.vala"
	g_return_val_if_fail (e != NULL, FALSE);
#line 70 "../src/Widgets/DisplayWidget.vala"
	_tmp1_ = self->priv->_show_mic;
#line 70 "../src/Widgets/DisplayWidget.vala"
	if (_tmp1_) {
#line 360 "DisplayWidget.c"
		GtkSpinner* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
#line 70 "../src/Widgets/DisplayWidget.vala"
		_tmp2_ = _data2_->mic_icon;
#line 70 "../src/Widgets/DisplayWidget.vala"
		_tmp3_ = gtk_widget_get_margin_end ((GtkWidget*) _tmp2_);
#line 70 "../src/Widgets/DisplayWidget.vala"
		_tmp4_ = _tmp3_;
#line 70 "../src/Widgets/DisplayWidget.vala"
		_tmp0_ = e->x < ((gdouble) (24 + _tmp4_));
#line 372 "DisplayWidget.c"
	} else {
#line 70 "../src/Widgets/DisplayWidget.vala"
		_tmp0_ = FALSE;
#line 376 "DisplayWidget.c"
	}
#line 70 "../src/Widgets/DisplayWidget.vala"
	if (_tmp0_) {
#line 71 "../src/Widgets/DisplayWidget.vala"
		g_signal_emit (self, display_widget_signals[DISPLAY_WIDGET_MIC_PRESS_EVENT_SIGNAL], 0, e);
#line 382 "DisplayWidget.c"
	} else {
#line 73 "../src/Widgets/DisplayWidget.vala"
		g_signal_emit (self, display_widget_signals[DISPLAY_WIDGET_VOLUME_PRESS_EVENT_SIGNAL], 0, e);
#line 386 "DisplayWidget.c"
	}
#line 76 "../src/Widgets/DisplayWidget.vala"
	result = GDK_EVENT_PROPAGATE;
#line 76 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 392 "DisplayWidget.c"
}

static gboolean
__display_widget___lambda5__gtk_widget_button_press_event (GtkWidget* _sender,
                                                           GdkEventButton* event,
                                                           gpointer self)
{
	gboolean result;
	result = _display_widget___lambda5_ (self, event);
#line 68 "../src/Widgets/DisplayWidget.vala"
	return result;
#line 404 "DisplayWidget.c"
}

static void
_display_widget___lambda6_ (Block2Data* _data2_)
{
	DisplayWidget* self;
	gboolean _tmp0_;
#line 92 "../src/Widgets/DisplayWidget.vala"
	self = _data2_->self;
#line 93 "../src/Widgets/DisplayWidget.vala"
	_tmp0_ = self->priv->_mic_muted;
#line 93 "../src/Widgets/DisplayWidget.vala"
	if (_tmp0_) {
#line 418 "DisplayWidget.c"
		GtkStyleContext* _tmp1_;
#line 94 "../src/Widgets/DisplayWidget.vala"
		_tmp1_ = _data2_->mic_style_context;
#line 94 "../src/Widgets/DisplayWidget.vala"
		gtk_style_context_add_class (_tmp1_, "disabled");
#line 424 "DisplayWidget.c"
	} else {
		GtkStyleContext* _tmp2_;
#line 96 "../src/Widgets/DisplayWidget.vala"
		_tmp2_ = _data2_->mic_style_context;
#line 96 "../src/Widgets/DisplayWidget.vala"
		gtk_style_context_remove_class (_tmp2_, "disabled");
#line 431 "DisplayWidget.c"
	}
}

static void
__display_widget___lambda6__g_object_notify (GObject* _sender,
                                             GParamSpec* pspec,
                                             gpointer self)
{
#line 92 "../src/Widgets/DisplayWidget.vala"
	_display_widget___lambda6_ (self);
#line 442 "DisplayWidget.c"
}

static GObject *
display_widget_constructor (GType type,
                            guint n_construct_properties,
                            GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	DisplayWidget * self;
	Block2Data* _data2_;
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp0_;
	GtkCssProvider* _tmp1_;
	GtkImage* volume_icon = NULL;
	GtkImage* _tmp2_ = NULL;
	GtkSpinner* _tmp3_ = NULL;
	GtkSpinner* _tmp4_;
	GtkStyleContext* _tmp5_;
	GtkStyleContext* _tmp6_;
	GtkStyleContext* _tmp7_;
	GtkCssProvider* _tmp8_;
	GtkStyleContext* _tmp9_;
	GtkRevealer* mic_revealer = NULL;
	GtkRevealer* _tmp10_ = NULL;
	GtkRevealer* _tmp11_;
	GtkSpinner* _tmp12_;
	GtkRevealer* _tmp13_;
	GtkImage* _tmp14_;
	GtkImage* _tmp15_;
	GtkRevealer* _tmp16_;
#line 29 "../src/Widgets/DisplayWidget.vala"
	parent_class = G_OBJECT_CLASS (display_widget_parent_class);
#line 29 "../src/Widgets/DisplayWidget.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 29 "../src/Widgets/DisplayWidget.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DISPLAY_WIDGET, DisplayWidget);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_data2_->_ref_count_ = 1;
#line 29 "../src/Widgets/DisplayWidget.vala"
	_data2_->self = g_object_ref (self);
#line 30 "../src/Widgets/DisplayWidget.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 30 "../src/Widgets/DisplayWidget.vala"
	provider = _tmp0_;
#line 31 "../src/Widgets/DisplayWidget.vala"
	_tmp1_ = provider;
#line 31 "../src/Widgets/DisplayWidget.vala"
	gtk_css_provider_load_from_resource (_tmp1_, "io/elementary/wingpanel/sound/indicator.css");
#line 33 "../src/Widgets/DisplayWidget.vala"
	_tmp2_ = (GtkImage*) gtk_image_new ();
#line 33 "../src/Widgets/DisplayWidget.vala"
	gtk_image_set_pixel_size (_tmp2_, 24);
#line 33 "../src/Widgets/DisplayWidget.vala"
	g_object_ref_sink (_tmp2_);
#line 33 "../src/Widgets/DisplayWidget.vala"
	volume_icon = _tmp2_;
#line 37 "../src/Widgets/DisplayWidget.vala"
	_tmp3_ = (GtkSpinner*) gtk_spinner_new ();
#line 37 "../src/Widgets/DisplayWidget.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp3_, 18);
#line 37 "../src/Widgets/DisplayWidget.vala"
	g_object_ref_sink (_tmp3_);
#line 37 "../src/Widgets/DisplayWidget.vala"
	_data2_->mic_icon = _tmp3_;
#line 41 "../src/Widgets/DisplayWidget.vala"
	_tmp4_ = _data2_->mic_icon;
#line 41 "../src/Widgets/DisplayWidget.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) _tmp4_);
#line 41 "../src/Widgets/DisplayWidget.vala"
	_tmp6_ = _g_object_ref0 (_tmp5_);
#line 41 "../src/Widgets/DisplayWidget.vala"
	_data2_->mic_style_context = _tmp6_;
#line 42 "../src/Widgets/DisplayWidget.vala"
	_tmp7_ = _data2_->mic_style_context;
#line 42 "../src/Widgets/DisplayWidget.vala"
	_tmp8_ = provider;
#line 42 "../src/Widgets/DisplayWidget.vala"
	gtk_style_context_add_provider (_tmp7_, (GtkStyleProvider*) _tmp8_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 43 "../src/Widgets/DisplayWidget.vala"
	_tmp9_ = _data2_->mic_style_context;
#line 43 "../src/Widgets/DisplayWidget.vala"
	gtk_style_context_add_class (_tmp9_, "mic-icon");
#line 45 "../src/Widgets/DisplayWidget.vala"
	_tmp10_ = (GtkRevealer*) gtk_revealer_new ();
#line 45 "../src/Widgets/DisplayWidget.vala"
	gtk_revealer_set_transition_type (_tmp10_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT);
#line 45 "../src/Widgets/DisplayWidget.vala"
	g_object_ref_sink (_tmp10_);
#line 45 "../src/Widgets/DisplayWidget.vala"
	mic_revealer = _tmp10_;
#line 48 "../src/Widgets/DisplayWidget.vala"
	_tmp11_ = mic_revealer;
#line 48 "../src/Widgets/DisplayWidget.vala"
	_tmp12_ = _data2_->mic_icon;
#line 48 "../src/Widgets/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) _tmp11_, (GtkWidget*) _tmp12_);
#line 50 "../src/Widgets/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 51 "../src/Widgets/DisplayWidget.vala"
	_tmp13_ = mic_revealer;
#line 51 "../src/Widgets/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp13_);
#line 52 "../src/Widgets/DisplayWidget.vala"
	_tmp14_ = volume_icon;
#line 52 "../src/Widgets/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp14_);
#line 57 "../src/Widgets/DisplayWidget.vala"
	g_signal_connect_data ((GtkWidget*) self, "scroll-event", (GCallback) __display_widget___lambda4__gtk_widget_scroll_event, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 68 "../src/Widgets/DisplayWidget.vala"
	g_signal_connect_data ((GtkWidget*) self, "button-press-event", (GCallback) __display_widget___lambda5__gtk_widget_button_press_event, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 79 "../src/Widgets/DisplayWidget.vala"
	_tmp15_ = volume_icon;
#line 79 "../src/Widgets/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) self, "icon-name", (GObject*) _tmp15_, "icon-name", G_BINDING_BIDIRECTIONAL | G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 85 "../src/Widgets/DisplayWidget.vala"
	_tmp16_ = mic_revealer;
#line 85 "../src/Widgets/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) self, "show-mic", (GObject*) _tmp16_, "reveal-child", G_BINDING_BIDIRECTIONAL | G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 92 "../src/Widgets/DisplayWidget.vala"
	g_signal_connect_data ((GObject*) self, "notify::mic-muted", (GCallback) __display_widget___lambda6__g_object_notify, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_g_object_unref0 (mic_revealer);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_g_object_unref0 (volume_icon);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_g_object_unref0 (provider);
#line 29 "../src/Widgets/DisplayWidget.vala"
	block2_data_unref (_data2_);
#line 29 "../src/Widgets/DisplayWidget.vala"
	_data2_ = NULL;
#line 29 "../src/Widgets/DisplayWidget.vala"
	return obj;
#line 578 "DisplayWidget.c"
}

static void
display_widget_class_init (DisplayWidgetClass * klass,
                           gpointer klass_data)
{
#line 18 "../src/Widgets/DisplayWidget.vala"
	display_widget_parent_class = g_type_class_peek_parent (klass);
#line 18 "../src/Widgets/DisplayWidget.vala"
	g_type_class_adjust_private_offset (klass, &DisplayWidget_private_offset);
#line 18 "../src/Widgets/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_display_widget_get_property;
#line 18 "../src/Widgets/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_display_widget_set_property;
#line 18 "../src/Widgets/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->constructor = display_widget_constructor;
#line 18 "../src/Widgets/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->finalize = display_widget_finalize;
#line 18 "../src/Widgets/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_WIDGET_SHOW_MIC_PROPERTY, display_widget_properties[DISPLAY_WIDGET_SHOW_MIC_PROPERTY] = g_param_spec_boolean ("show-mic", "show-mic", "show-mic", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "../src/Widgets/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_WIDGET_MIC_MUTED_PROPERTY, display_widget_properties[DISPLAY_WIDGET_MIC_MUTED_PROPERTY] = g_param_spec_boolean ("mic-muted", "mic-muted", "mic-muted", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "../src/Widgets/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_WIDGET_ICON_NAME_PROPERTY, display_widget_properties[DISPLAY_WIDGET_ICON_NAME_PROPERTY] = g_param_spec_string ("icon-name", "icon-name", "icon-name", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "../src/Widgets/DisplayWidget.vala"
	display_widget_signals[DISPLAY_WIDGET_VOLUME_SCROLL_EVENT_SIGNAL] = g_signal_new ("volume-scroll-event", TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOXED, G_TYPE_NONE, 1, gdk_event_get_type ());
#line 18 "../src/Widgets/DisplayWidget.vala"
	display_widget_signals[DISPLAY_WIDGET_MIC_SCROLL_EVENT_SIGNAL] = g_signal_new ("mic-scroll-event", TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOXED, G_TYPE_NONE, 1, gdk_event_get_type ());
#line 18 "../src/Widgets/DisplayWidget.vala"
	display_widget_signals[DISPLAY_WIDGET_VOLUME_PRESS_EVENT_SIGNAL] = g_signal_new ("volume-press-event", TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOXED, G_TYPE_NONE, 1, gdk_event_get_type ());
#line 18 "../src/Widgets/DisplayWidget.vala"
	display_widget_signals[DISPLAY_WIDGET_MIC_PRESS_EVENT_SIGNAL] = g_signal_new ("mic-press-event", TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOXED, G_TYPE_NONE, 1, gdk_event_get_type ());
#line 611 "DisplayWidget.c"
}

static void
display_widget_instance_init (DisplayWidget * self,
                              gpointer klass)
{
#line 18 "../src/Widgets/DisplayWidget.vala"
	self->priv = display_widget_get_instance_private (self);
#line 620 "DisplayWidget.c"
}

static void
display_widget_finalize (GObject * obj)
{
	DisplayWidget * self;
#line 18 "../src/Widgets/DisplayWidget.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DISPLAY_WIDGET, DisplayWidget);
#line 21 "../src/Widgets/DisplayWidget.vala"
	_g_free0 (self->priv->_icon_name);
#line 18 "../src/Widgets/DisplayWidget.vala"
	G_OBJECT_CLASS (display_widget_parent_class)->finalize (obj);
#line 633 "DisplayWidget.c"
}

static GType
display_widget_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (DisplayWidgetClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) display_widget_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DisplayWidget), 0, (GInstanceInitFunc) display_widget_instance_init, NULL };
	GType display_widget_type_id;
	display_widget_type_id = g_type_register_static (gtk_box_get_type (), "DisplayWidget", &g_define_type_info, 0);
	DisplayWidget_private_offset = g_type_add_instance_private (display_widget_type_id, sizeof (DisplayWidgetPrivate));
	return display_widget_type_id;
}

GType
display_widget_get_type (void)
{
	static volatile gsize display_widget_type_id__once = 0;
	if (g_once_init_enter (&display_widget_type_id__once)) {
		GType display_widget_type_id;
		display_widget_type_id = display_widget_get_type_once ();
		g_once_init_leave (&display_widget_type_id__once, display_widget_type_id);
	}
	return display_widget_type_id__once;
}

static void
_vala_display_widget_get_property (GObject * object,
                                   guint property_id,
                                   GValue * value,
                                   GParamSpec * pspec)
{
	DisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DISPLAY_WIDGET, DisplayWidget);
#line 18 "../src/Widgets/DisplayWidget.vala"
	switch (property_id) {
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_SHOW_MIC_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		g_value_set_boolean (value, display_widget_get_show_mic (self));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_MIC_MUTED_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		g_value_set_boolean (value, display_widget_get_mic_muted (self));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_ICON_NAME_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		g_value_set_string (value, display_widget_get_icon_name (self));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 686 "DisplayWidget.c"
		default:
#line 18 "../src/Widgets/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 692 "DisplayWidget.c"
	}
}

static void
_vala_display_widget_set_property (GObject * object,
                                   guint property_id,
                                   const GValue * value,
                                   GParamSpec * pspec)
{
	DisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DISPLAY_WIDGET, DisplayWidget);
#line 18 "../src/Widgets/DisplayWidget.vala"
	switch (property_id) {
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_SHOW_MIC_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		display_widget_set_show_mic (self, g_value_get_boolean (value));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_MIC_MUTED_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		display_widget_set_mic_muted (self, g_value_get_boolean (value));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 18 "../src/Widgets/DisplayWidget.vala"
		case DISPLAY_WIDGET_ICON_NAME_PROPERTY:
#line 18 "../src/Widgets/DisplayWidget.vala"
		display_widget_set_icon_name (self, g_value_get_string (value));
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 724 "DisplayWidget.c"
		default:
#line 18 "../src/Widgets/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "../src/Widgets/DisplayWidget.vala"
		break;
#line 730 "DisplayWidget.c"
	}
}

